public abstract class Suite {
    private double u0;
    
    public Suite(){
	u0 = 0;
    }

    public Suite(double d) {
	u0 = d;
    }

    public abstract double suivant(double d);

    public double terme(int n) {
	double un;
	int i;

	un = u0;
	for(i=1; i <=n; i++) un = suivant(un);
	return un;
    }

    public double somme(int n) {
	double total, un;
	int i;

	un = u0;
	total = u0;
	for(i = 1; i <=n; i++) {
	    un = suivant(un);
	    total += un;
	}
	return total;
    }
}
